Message: Re: Could NOT find EXPAT Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Could NOT find EXPAT 

Forum: Installation and Configuration
Re: None Could NOT find EXPAT (Mark Crain)
Re: None Re: Could NOT find EXPAT (Mark Crain)
Re: None Re: Could NOT find EXPAT (Ben Morgan)
Date: 17 Jun, 2016
From: Mark Crain <Mark Crain>

Hi Ben,

Thank you for the reply. It looks like that might have helped but I am not at the finish line yet. Here is the new error. I think the problem is the location of the EXPAT library. I am still working on solving this, but input is very welcome.

markcrain@debian:~/path/to/geant4.10.2-build$ cmake -DCMAKE_INSTALL_PREFIX=/path/to/geant4.10.2-install ../geant4.10.02.p01/
CMake Error at /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
  Could NOT find EXPAT (missing: EXPAT_LIBRARY EXPAT_INCLUDE_DIR)
Call Stack (most recent call first):
  /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-3.5/Modules/FindEXPAT.cmake:56 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  cmake/Modules/Geant4OptionalComponents.cmake:102 (find_package)
  CMakeLists.txt:75 (include)

-- Configuring incomplete, errors occurred! See also "/home/markcrain/path/to/geant4.10.2-build/CMakeFiles/CMakeOutput.log".

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Could NOT find EXPAT   (Ben Morgan - 17 Jun, 2016)
(_ None: Re: Could NOT find EXPAT   (Mark Crain - 17 Jun, 2016)
 Add Message Add Message
to: "Re: Could NOT find EXPAT"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]